#ifndef __CRC32_H__
#define __CRC32_H__

#include <unistd.h>

uint32_t crc32_update(uint32_t old_state, uint8_t c);

inline static uint32_t crc32_reset(void);
uint32_t crc32_reset() {
    return ~0;
}

inline static uint32_t crc32_finalize(uint32_t state);
uint32_t crc32_finalize(uint32_t state) {
    return ~state;
}

#endif /* __CRC32_H__ */
